ATHRD(1)

NAME
athrd - list channels and transmit power for a country/regulatory domain

SYNOPSIS
athrd [-aedlpcfr4ABGT] [-m mode] [country]

DESCRIPTION
athrd displays the list of frequencies and the associated maximum transmit power permitted within a regulatory domain and/or country.

If no command line options are given, a default country (‘US’) is used. Country and regulatory names are case insensitive.

The following options are available:

-a  By default athrd will display B channels only if they are not also marked as available for use as G channels and similary for A and T channels. With this option athrd will list all channels.

-e  Calculate channels not assuming extended channel mode.

-d  Enabling debugging in the HAL code that calculates the available channels and transmit power values.

-l  Provide a list of all known country and regulatory domain names.

-m mode
    Calculate channels and transmit power for operation in ‘mode’; one of ‘station’, ‘ibss’, ‘monitor’, and ‘ap’ (or the first two letters).

-p  Mark passive scan channels with lower case letters and active scan channels with upper case letters.

-r  Mark channels that require DFS with a ‘*’.

-4  Mark channels that have a 4ms packet limit with a ‘4’.

-c  Display IEEE channel numbers instead of frequencies.

-f  Display frequencies (default).

-A  Display only 11A channels.

-B  Display only 11B channels.

-G  Display only 11G channels.

-T  Display only Turbo channels.

EXAMPLES
The following demonstrates how to list the permissible frequencies and maximum transport power per channel for use in Spain:

tubby% athrd es

SPAIN (ES, 0x2d4, 724) NULL1_WORLD (0x3, 3)
2412G 14.0 2417G 14.0 2422G 14.0 2427G 17.0 2432G 14.0 2437G 17.0
2442G 14.0 2447G 17.0 2452G 17.0 2457G 14.0 2462G 17.0

Each frequency has a suffix that is one of: ‘G’, ‘B’, ‘A’, or ‘T’ according to whether the channel is usable with 802.11g, 802.11b, 802.11a, or Atheros Turbo mode. All channels listed as ‘G’ are also usable in ‘B’. Likewise, all channels listed as ‘A’ are usable in ‘T’. Channels listed as ‘B’ or ‘T’ are only usable in those modes. (Note that when the -p option is specified passive scan channels are marked with a lower case ‘g’, ‘b’, ‘a’, or ‘t .)’ The transmit power is given in units of dbM.

DIAGNOSTICS
Various diagnostics about unknown regulatory domains and/or country codes may be encountered. Use the -l option for a list of valid names.

SEE ALSO
ath(4), ath_hal(4)

STANDARDS
Lots belong here.

NOTES
athrd use the HAL to calculate the set of channels. The transmit power calculations are done by emulating how the HAL works. Because athrd does not read the actual EEPROM contents from a device this emulation may lag behind current practice.

BUGS
The HAL reset logic should be used to calculate the transmit power for each channel instead of using a separate copy of the code. The data presented by athrd are the expected values; for compliance testing one must measure the actual operation of the driver and the HAL.